#!/bin/sh
#
# Component: hl7
#     Creates processPBHL7MessageTaks.sh task to process PBHL7 message server connected to the RIS
#
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#

. $HOME/etc/setenv.sh


$HL7_HOME/bin/processPBHL7Message "$@"
res=$?

#
#  We might want to start a task here instead of processing the file directly
#

if [ $res -ne 0 ] ; then

	# get filename from arguments and remove it if processPBHL7Message returns error
	# - to let it be resent from the server connected to the RIS
	# For testing purposes - remove it only if -x option is also specified
	
	file=""
	receivedFrom=""
	
	# ignore unrecognized arguments
	OPTERR=0
	while getopts 'd:m:f:VDx:' OPT; do
		case $OPT in
			f) file="$OPTARG" ;;
			x) receivedFrom="$OPTARG" ;;
		esac
	done
	
	[ -n "$receivedFrom" -a -f "$file" ] && rm "$file"
	
fi

exit $res
