#!/bin/sh
#
# Component: hl7
#
# Description:
#   Creates HL7 messages from PB messages for testing VMD files for outgoing messages
#   PB messages are intended to be created by createORMMessage or createORUMessage.
#
# Usage:
#	testMessage.sh [-h] [-V] [-D] -f <pbmsgfile> -v <vmdfile>
#	   -h                  : prints this help
#	   -V                  : print verbose messages
#	   -D                  : print debug messages
#	   -f <pbmsgfile>      : create message from this pb message file (generated by createORMMessage or createORUMessage)
#	   -v <vmdfile>        : VMD file to be used for generating the message
#			
#	testMessage.sh is intended to be used for testing VMD files for outgoing messages
#
# Since testMessage.sh simply pass all parameters to testMessage, the usage info
# above is informative. Check testMessage for actual usage information.
#
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#
#

. $HOME/etc/setenv.sh

# In some cases we miss language settings and if we don't
# have correct language settings, then createMessage hangs

if [ -z "$LANG" ] ; then
  LANG=en_US
  SUPPORTED=en_US:en

  export LANG SUPPORTED
fi


$HL7_HOME/bin/testMessage "$@"

